Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::MemoryMapController Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pdumodel::MemoryMapController Interface Reference

Memory map controller. More...

Inheritance diagram for pdumodel::MemoryMapController:

## Public Member Functions
int | readMemory (in int address, in int size, out vector< byte > memory)
| Read a given number of bytes from an address.
int | writeMemory (in int address, in vector< byte > memory)
| Write bytes to an address.
Public Member Functions inherited from pdumodel::Controller
Status | getCommunicationStatus ()
| Retrieve the current status of communication with controller.
CtrlStatistic | getStatistics ()
| Retrieve statistics.
MetaData | getMetaData ()
| Retrieve the sub controller metadata.
int | reset ()
| Reset this sub controller.

## Additional Inherited Members
Public Types inherited from pdumodel::Controller
enum | Status { OK , COMMUNICATION_UNSTABLE , COMMUNICATION_FAILURE , UNKNOWN , INCOMPATIBLE , FIRMWARE_UPDATE }
| Communication status. More...
enum | Type { OUTLET_CTRL , INLET_CTRL , METER_CTRL }
| Sub controller type. More...
Public Attributes inherited from pdumodel::Controller
constant int | ERR_NOT_SUPPORTED = 1
| Operation not supported.

## Detailed Description

Memory map controller.

Definition at line 12 of file MemoryMapController.idl.

## Member Function Documentation

## ◆ readMemory()

int pdumodel::MemoryMapController::readMemory | ( | in int | address,
|  | in int | size,
|  | out vector< byte > | memory
| ) |  |

Read a given number of bytes from an address.

Parameters

  address | The address to read
  size | The number of bytes to read
  memory | The vector with the read bytes

Returns
  0 if OK
  an error code otherwise

## ◆ writeMemory()

int pdumodel::MemoryMapController::writeMemory | ( | in int | address,
|  | in vector< byte > | memory
| ) |  |

Write bytes to an address.

Parameters

  address | The address to write
  memory | The vector with the bytes to write

Returns
  0 if OK
  an error code otherwise

The documentation for this interface was generated from the following file:

- MemoryMapController.idl